import { r as registerInterceptor, I as InterceptorConfig, a as InterceptorHandler } from './InterceptorHandler-6474bcf4.js';

class ModifierTrimmer extends InterceptorConfig {
  constructor() {
    super('modifierTrimmer');
  }
}
ModifierTrimmer.id = 'modifierTrimmer';
class ModifierTrimmerHandler extends InterceptorHandler {
  run(_context, _values, _field, value) {
    if (typeof value === 'string' || value instanceof String) {
      return { value: value.trim() };
    }
    return { value };
  }
}
registerInterceptor(ModifierTrimmer.id, (_config) => new ModifierTrimmerHandler());

export { ModifierTrimmer as M };
